Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.xmpp.forms
Enum DataForm.Type

    java.lang.Object
      java.lang.Enum<DataForm.Type>
          org.xmpp.forms.DataForm.Type

All Implemented Interfaces:
  Serializable, Comparable<DataForm.Type>

Enclosing class:
  DataForm

    public static enum DataForm.Type

extends Enum<DataForm.Type>

Type-safe enumeration to represent the type of the Data forms.

Enum Constant Summary
`cancel` The forms-submitting entity has cancelled submission of data to the forms-processing entity.
`form` The forms-processing entity is asking the forms-submitting entity to complete a form.
`result` The forms-processing entity is returning data (e.g., search results) to the forms-submitting entity, or the data is a generic data set.
`submit` The forms-submitting entity is submitting data to the forms-processing entity.

Method Summary
`static DataForm.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataForm.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### form

    public static final DataForm.Type form

  The forms-processing entity is asking the forms-submitting entity to complete a form.

### submit

    public static final DataForm.Type submit

  The forms-submitting entity is submitting data to the forms-processing entity.

### cancel

    public static final DataForm.Type cancel

  The forms-submitting entity has cancelled submission of data to the forms-processing entity.

### result

    public static final DataForm.Type result

  The forms-processing entity is returning data (e.g., search results) to the forms-submitting entity, or the data is a generic data set.

Method Detail

### values

    public static final DataForm.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DataForm.Type c : DataForm.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DataForm.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2007 Jive Software.